[Unit]
Description=Celery Service
After=network.target

[Service]
Type=forking

EnvironmentFile=-{{ PATH_TO_CELERY_ENV }}/celery_env
WorkingDirectory={{ PATH_TO_PROJECT_ROOT }}

# run ExecStartPre as priviledged user and set up required directories
PermissionsStartOnly=true
ExecStartPre=-/bin/mkdir /run/{{ ALIAS }}
ExecStartPre=-/bin/chown -R {{ USER }}:{{ USER }} /run/{{ ALIAS }}
ExecStartPre=-/bin/mkdir /var/log/{{ ALIAS }}
ExecStartPre=-/bin/chown -R {{ USER }}:{{ USER }} /var/log/{{ ALIAS }}

ExecStart=/bin/sh -c '${CELERY_BIN} multi start ${CELERYD_NODES} \
  -A ${CELERY_APP} --pidfile=${CELERYD_PID_FILE} \
  --logfile=${CELERYD_LOG_FILE} --loglevel=${CELERYD_LOG_LEVEL} ${CELERYD_OPTS}'
ExecStop=/bin/sh -c '${CELERY_BIN} multi stopwait ${CELERYD_NODES} \
  --pidfile=${CELERYD_PID_FILE}'
ExecReload=/bin/sh -c '${CELERY_BIN} multi restart ${CELERYD_NODES} \
  -A ${CELERY_APP} --pidfile=${CELERYD_PID_FILE} \
  --logfile=${CELERYD_LOG_FILE} --loglevel=${CELERYD_LOG_LEVEL} ${CELERYD_OPTS}'

User={{ USER }}
Group={{ USER }}
SyslogIdentifier={{ ALIAS }}

[Install]
WantedBy=multi-user.target
